# ¶ REST API

**API:** Application Programming Interface “An API is a set of definitions and protocols for building and integrating application software.”

**REST API:** “Representational State Transfer API”

**API** is basically a set of functions and procedures that allow one application to access the features of other applications, **REST** is an architectural style for networking applications on the web. It is limited to client-server based applications. REST is a set of rules or guidelines to build a web API. \
There are many ways to build a web API, and REST is a standard way that will help in building it faster and also for third-parties to understand it better.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://bcds.gitbook.io/learn/tutorials/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
